# include "Ximage.h"

void CreateZoom (KapaImageWidget *image, Graphic *graphic, double x, double y) {

  switch (graphic[0].Nbits) {
  case 8:
    CreateZoom8 (image, graphic, x, y);
    break;

  case 16:
    CreateZoom16 (image, graphic, x, y);
    break;

  case 24:
    CreateZoom24 (image, graphic, x, y);
    break;

  case 32:
    CreateZoom32 (image, graphic, x, y);
    break;
  }    

}
